Skip to main content
POST
Add a new category

Authorizations

api_access_token
string
header
required

Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
string
required

The slug identifier of the portal

Body

application/json
name
string

The name of the category

Example:

"Category Name"

description
string

A description for the category

Example:

"Category description"

position
integer

Category position in the portal list to sort

Example:

1

slug
string

The category slug used in the URL

Example:

"category-name"

locale
string

The locale of the category

Example:

"en"

icon
string

The icon of the category as a string (emoji)

Example:

"📚"

parent_category_id
integer

To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.

Example:

1

associated_category_id
integer

To associate similar categories to each other, e.g same category of product documentation in different languages

Example:

2

Response

Success

id
integer
description
string

The text content.

locale
string
name
string
slug
string
position
integer
portal_id
integer
account_id
integer
associated_category_id
integer

To associate similar categories to each other, e.g same category of product documentation in different languages

parent_category_id
integer

To define parent category, e.g product documentation has multiple level features in sales category or in engineering category.